﻿///////////////////////////////////////////////////////////////////////////////
// file main.js
// Copyright (c) 2012 Frédéric J. Rézeau. All rights reserved.
///////////////////////////////////////////////////////////////////////////////

// Provides requestAnimationFrame in a cross browser way. @author paulirish / http://paulirish.com/
if (!window.requestAnimationFrame) {
    window.requestAnimationFrame = (function () {
        "use strict";
        return window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame ||
        function (callback) {
            window.setTimeout(callback, 1000 / 60);
        };
    })();
}

window.onload = (function () {
    "use strict";
    if (typeof CocoonJS !== "undefined") {
        CocoonJS.App.setAppShouldFinishCallback(onNavigateBack);

        // Store initialization.
        CocoonJS.Store.requestInitialization({ sandbox: false, managed: true });
        CocoonJS.Store.start();
    }
    return ZCJGame.initialize();
})();

// Window is resized.
function resize () {
    "use strict";

    // Reset the display.
    ZCJGame.resetDisplay();
};



